Bug 1088645 - (thc-ipv6) Review Request: thc-ipv6 - An toolkit for attacking the IPv6 protocol suite
Review Request: thc-ipv6 - An toolkit for attacking the IPv6 protocol suite
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Florian "der-flo" Lehner
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2014-04-16 18:35 EDT by Athmane Madjoudj
Modified: 2014-08-12 20:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: thc-ipv6-2.5-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-07 11:31:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dev: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Athmane Madjoudj 2014-04-16 18:35:50 EDT
Spec URL: http://athmane.fedorapeople.org/pkgs/thcipv6.spec
SRPM URL: http://athmane.fedorapeople.org/pkgs/thcipv6-2.5-1.fc20.src.rpm

Description:
A complete tool set to attack the inherent protocol weaknesses of IPV6
and ICMP6, and includes an easy to use packet factory library.

Fedora Account System Username: athmane
Comment 1 Athmane Madjoudj 2014-04-16 18:43:20 EDT
PS. There's a bunch of warnings during the compilation, I'll look into those issues soon, but I don't think it's a blocker.

rpmlint output:

$ rpmlint thcipv6.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint thcipv6-2.5-1.fc20.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint thcipv6-2.5-1.fc20.x86_64.rpm
thcipv6.x86_64: E: incorrect-fsf-address /usr/share/doc/thcipv6/LICENSE.OPENSSL
thcipv6.x86_64: W: no-manual-page-for-binary dump_dhcp6
thcipv6.x86_64: W: no-manual-page-for-binary dnssecwalk
thcipv6.x86_64: W: no-manual-page-for-binary rsmurf6
thcipv6.x86_64: W: no-manual-page-for-binary trace6
thcipv6.x86_64: W: no-manual-page-for-binary inverse_lookup6
thcipv6.x86_64: W: no-manual-page-for-binary smurf6
thcipv6.x86_64: W: no-manual-page-for-binary flood_redir6
thcipv6.x86_64: W: no-manual-page-for-binary fake_dns6d
thcipv6.x86_64: W: no-manual-page-for-binary dump_router6
thcipv6.x86_64: W: no-manual-page-for-binary fake_mldrouter6
thcipv6.x86_64: W: no-manual-page-for-binary fuzz_ip6
thcipv6.x86_64: W: no-manual-page-for-binary fuzz_dhcps6
thcipv6.x86_64: W: no-manual-page-for-binary flood_advertise6
thcipv6.x86_64: W: no-manual-page-for-binary four2six
thcipv6.x86_64: W: no-manual-page-for-binary covert_send6d
thcipv6.x86_64: W: no-manual-page-for-binary fake_router6
thcipv6.x86_64: W: no-manual-page-for-binary fake_mld6
thcipv6.x86_64: W: no-manual-page-for-binary extract_hosts6.sh
thcipv6.x86_64: W: no-manual-page-for-binary flood_dhcpc6
thcipv6.x86_64: W: no-manual-page-for-binary denial6
thcipv6.x86_64: W: no-manual-page-for-binary fake_pim6
thcipv6.x86_64: W: no-manual-page-for-binary dos-new-ip6
thcipv6.x86_64: W: no-manual-page-for-binary toobig6
thcipv6.x86_64: W: no-manual-page-for-binary covert_send6
thcipv6.x86_64: W: no-manual-page-for-binary flood_mld26
thcipv6.x86_64: W: no-manual-page-for-binary fake_solicitate6
thcipv6.x86_64: W: no-manual-page-for-binary passive_discovery6
thcipv6.x86_64: W: no-manual-page-for-binary fake_dnsupdate6
thcipv6.x86_64: W: no-manual-page-for-binary ndpexhaust6
thcipv6.x86_64: W: no-manual-page-for-binary flood_mldrouter6
thcipv6.x86_64: W: no-manual-page-for-binary fake_router26
thcipv6.x86_64: W: no-manual-page-for-binary thcsyn6
thcipv6.x86_64: W: no-manual-page-for-binary redirsniff6
thcipv6.x86_64: W: no-manual-page-for-binary flood_router26
thcipv6.x86_64: W: no-manual-page-for-binary implementation6d
thcipv6.x86_64: W: no-manual-page-for-binary fake_mld26
thcipv6.x86_64: W: no-manual-page-for-binary fake_advertise6
thcipv6.x86_64: W: no-manual-page-for-binary thc-ipv6-setup.sh
thcipv6.x86_64: W: no-manual-page-for-binary dos_mld.sh
thcipv6.x86_64: W: no-manual-page-for-binary thcping6
thcipv6.x86_64: W: no-manual-page-for-binary dnsrevenum6
thcipv6.x86_64: W: no-manual-page-for-binary randicmp6
thcipv6.x86_64: W: no-manual-page-for-binary fake_dhcps6
thcipv6.x86_64: W: no-manual-page-for-binary detect-new-ip6
thcipv6.x86_64: W: no-manual-page-for-binary sendpeesmp6
thcipv6.x86_64: W: no-manual-page-for-binary redir6
thcipv6.x86_64: W: no-manual-page-for-binary parasite6
thcipv6.x86_64: W: no-manual-page-for-binary implementation6
thcipv6.x86_64: W: no-manual-page-for-binary address6
thcipv6.x86_64: W: no-manual-page-for-binary flood_mld6
thcipv6.x86_64: W: no-manual-page-for-binary alive6
thcipv6.x86_64: W: no-manual-page-for-binary exploit6
thcipv6.x86_64: W: no-manual-page-for-binary 6to4test.sh
thcipv6.x86_64: W: no-manual-page-for-binary extract_networks6.sh
thcipv6.x86_64: W: no-manual-page-for-binary detect_sniffer6
thcipv6.x86_64: W: no-manual-page-for-binary flood_solicitate6
thcipv6.x86_64: W: no-manual-page-for-binary dnsdict6
thcipv6.x86_64: W: no-manual-page-for-binary ndpexhaust26
thcipv6.x86_64: W: no-manual-page-for-binary fake_mipv6
thcipv6.x86_64: W: no-manual-page-for-binary inject_alive6
thcipv6.x86_64: W: no-manual-page-for-binary node_query6
thcipv6.x86_64: W: no-manual-page-for-binary flood_router6
thcipv6.x86_64: W: no-manual-page-for-binary kill_router6
thcipv6.x86_64: W: no-manual-page-for-binary flood_rs6
thcipv6.x86_64: W: no-manual-page-for-binary firewall6
thcipv6.x86_64: W: no-manual-page-for-binary fragmentation6
thcipv6.x86_64: W: no-manual-page-for-binary sendpees6
1 packages and 0 specfiles checked; 1 errors, 67 warnings.
Comment 2 Athmane Madjoudj 2014-04-16 18:54:57 EDT
Rawhide scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6747614
Comment 3 Florian "der-flo" Lehner 2014-07-08 15:10:26 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 75 files have unknown license.

   ---> Please add a note about the license to the *.c-file upstream

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[ ]: Package is named according to the Package Naming Guidelines.

   ---> why isn't the package named thc-ipv6?
        thc-ipv6 is fine with https://fedoraproject.org/wiki/Packaging:NamingGuidelines
        and https://www.thc.org/thc-ipv6/ uses it, too

[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 92160 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.

   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=7118313

[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: thcipv6-2.5-1.fc21.x86_64.rpm
          thcipv6-2.5-1.fc21.src.rpm
thcipv6.x86_64: E: incorrect-fsf-address /usr/share/doc/thcipv6/LICENSE.OPENSSL
thcipv6.x86_64: W: no-manual-page-for-binary dump_dhcp6
thcipv6.x86_64: W: no-manual-page-for-binary dnssecwalk
thcipv6.x86_64: W: no-manual-page-for-binary rsmurf6
thcipv6.x86_64: W: no-manual-page-for-binary trace6
thcipv6.x86_64: W: no-manual-page-for-binary inverse_lookup6
thcipv6.x86_64: W: no-manual-page-for-binary smurf6
thcipv6.x86_64: W: no-manual-page-for-binary flood_redir6
thcipv6.x86_64: W: no-manual-page-for-binary fake_dns6d
thcipv6.x86_64: W: no-manual-page-for-binary dump_router6
thcipv6.x86_64: W: no-manual-page-for-binary fake_mldrouter6
thcipv6.x86_64: W: no-manual-page-for-binary fuzz_ip6
thcipv6.x86_64: W: no-manual-page-for-binary fuzz_dhcps6
thcipv6.x86_64: W: no-manual-page-for-binary flood_advertise6
thcipv6.x86_64: W: no-manual-page-for-binary four2six
thcipv6.x86_64: W: no-manual-page-for-binary covert_send6d
thcipv6.x86_64: W: no-manual-page-for-binary fake_router6
thcipv6.x86_64: W: no-manual-page-for-binary fake_mld6
thcipv6.x86_64: W: no-manual-page-for-binary extract_hosts6.sh
thcipv6.x86_64: W: no-manual-page-for-binary flood_dhcpc6
thcipv6.x86_64: W: no-manual-page-for-binary denial6
thcipv6.x86_64: W: no-manual-page-for-binary fake_pim6
thcipv6.x86_64: W: no-manual-page-for-binary dos-new-ip6
thcipv6.x86_64: W: no-manual-page-for-binary toobig6
thcipv6.x86_64: W: no-manual-page-for-binary covert_send6
thcipv6.x86_64: W: no-manual-page-for-binary flood_mld26
thcipv6.x86_64: W: no-manual-page-for-binary fake_solicitate6
thcipv6.x86_64: W: no-manual-page-for-binary passive_discovery6
thcipv6.x86_64: W: no-manual-page-for-binary fake_dnsupdate6
thcipv6.x86_64: W: no-manual-page-for-binary ndpexhaust6
thcipv6.x86_64: W: no-manual-page-for-binary flood_mldrouter6
thcipv6.x86_64: W: no-manual-page-for-binary fake_router26
thcipv6.x86_64: W: no-manual-page-for-binary thcsyn6
thcipv6.x86_64: W: no-manual-page-for-binary redirsniff6
thcipv6.x86_64: W: no-manual-page-for-binary flood_router26
thcipv6.x86_64: W: no-manual-page-for-binary implementation6d
thcipv6.x86_64: W: no-manual-page-for-binary fake_mld26
thcipv6.x86_64: W: no-manual-page-for-binary fake_advertise6
thcipv6.x86_64: W: no-manual-page-for-binary thc-ipv6-setup.sh
thcipv6.x86_64: W: no-manual-page-for-binary dos_mld.sh
thcipv6.x86_64: W: no-manual-page-for-binary thcping6
thcipv6.x86_64: W: no-manual-page-for-binary dnsrevenum6
thcipv6.x86_64: W: no-manual-page-for-binary randicmp6
thcipv6.x86_64: W: no-manual-page-for-binary fake_dhcps6
thcipv6.x86_64: W: no-manual-page-for-binary detect-new-ip6
thcipv6.x86_64: W: no-manual-page-for-binary sendpeesmp6
thcipv6.x86_64: W: no-manual-page-for-binary redir6
thcipv6.x86_64: W: no-manual-page-for-binary parasite6
thcipv6.x86_64: W: no-manual-page-for-binary implementation6
thcipv6.x86_64: W: no-manual-page-for-binary address6
thcipv6.x86_64: W: no-manual-page-for-binary flood_mld6
thcipv6.x86_64: W: no-manual-page-for-binary alive6
thcipv6.x86_64: W: no-manual-page-for-binary exploit6
thcipv6.x86_64: W: no-manual-page-for-binary 6to4test.sh
thcipv6.x86_64: W: no-manual-page-for-binary extract_networks6.sh
thcipv6.x86_64: W: no-manual-page-for-binary detect_sniffer6
thcipv6.x86_64: W: no-manual-page-for-binary flood_solicitate6
thcipv6.x86_64: W: no-manual-page-for-binary dnsdict6
thcipv6.x86_64: W: no-manual-page-for-binary ndpexhaust26
thcipv6.x86_64: W: no-manual-page-for-binary fake_mipv6
thcipv6.x86_64: W: no-manual-page-for-binary inject_alive6
thcipv6.x86_64: W: no-manual-page-for-binary node_query6
thcipv6.x86_64: W: no-manual-page-for-binary flood_router6
thcipv6.x86_64: W: no-manual-page-for-binary kill_router6
thcipv6.x86_64: W: no-manual-page-for-binary flood_rs6
thcipv6.x86_64: W: no-manual-page-for-binary firewall6
thcipv6.x86_64: W: no-manual-page-for-binary fragmentation6
thcipv6.x86_64: W: no-manual-page-for-binary sendpees6
2 packages and 0 specfiles checked; 1 errors, 67 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint thcipv6
thcipv6.x86_64: E: incorrect-fsf-address /usr/share/doc/thcipv6/LICENSE.OPENSSL
thcipv6.x86_64: W: no-manual-page-for-binary dump_dhcp6
thcipv6.x86_64: W: no-manual-page-for-binary dnssecwalk
thcipv6.x86_64: W: no-manual-page-for-binary rsmurf6
thcipv6.x86_64: W: no-manual-page-for-binary trace6
thcipv6.x86_64: W: no-manual-page-for-binary inverse_lookup6
thcipv6.x86_64: W: no-manual-page-for-binary smurf6
thcipv6.x86_64: W: no-manual-page-for-binary flood_redir6
thcipv6.x86_64: W: no-manual-page-for-binary fake_dns6d
thcipv6.x86_64: W: no-manual-page-for-binary dump_router6
thcipv6.x86_64: W: no-manual-page-for-binary fake_mldrouter6
thcipv6.x86_64: W: no-manual-page-for-binary fuzz_ip6
thcipv6.x86_64: W: no-manual-page-for-binary fuzz_dhcps6
thcipv6.x86_64: W: no-manual-page-for-binary flood_advertise6
thcipv6.x86_64: W: no-manual-page-for-binary four2six
thcipv6.x86_64: W: no-manual-page-for-binary covert_send6d
thcipv6.x86_64: W: no-manual-page-for-binary fake_router6
thcipv6.x86_64: W: no-manual-page-for-binary fake_mld6
thcipv6.x86_64: W: no-manual-page-for-binary extract_hosts6.sh
thcipv6.x86_64: W: no-manual-page-for-binary flood_dhcpc6
thcipv6.x86_64: W: no-manual-page-for-binary denial6
thcipv6.x86_64: W: no-manual-page-for-binary fake_pim6
thcipv6.x86_64: W: no-manual-page-for-binary dos-new-ip6
thcipv6.x86_64: W: no-manual-page-for-binary toobig6
thcipv6.x86_64: W: no-manual-page-for-binary covert_send6
thcipv6.x86_64: W: no-manual-page-for-binary flood_mld26
thcipv6.x86_64: W: no-manual-page-for-binary fake_solicitate6
thcipv6.x86_64: W: no-manual-page-for-binary passive_discovery6
thcipv6.x86_64: W: no-manual-page-for-binary fake_dnsupdate6
thcipv6.x86_64: W: no-manual-page-for-binary ndpexhaust6
thcipv6.x86_64: W: no-manual-page-for-binary flood_mldrouter6
thcipv6.x86_64: W: no-manual-page-for-binary fake_router26
thcipv6.x86_64: W: no-manual-page-for-binary thcsyn6
thcipv6.x86_64: W: no-manual-page-for-binary redirsniff6
thcipv6.x86_64: W: no-manual-page-for-binary flood_router26
thcipv6.x86_64: W: no-manual-page-for-binary implementation6d
thcipv6.x86_64: W: no-manual-page-for-binary fake_mld26
thcipv6.x86_64: W: no-manual-page-for-binary fake_advertise6
thcipv6.x86_64: W: no-manual-page-for-binary thc-ipv6-setup.sh
thcipv6.x86_64: W: no-manual-page-for-binary dos_mld.sh
thcipv6.x86_64: W: no-manual-page-for-binary thcping6
thcipv6.x86_64: W: no-manual-page-for-binary dnsrevenum6
thcipv6.x86_64: W: no-manual-page-for-binary randicmp6
thcipv6.x86_64: W: no-manual-page-for-binary fake_dhcps6
thcipv6.x86_64: W: no-manual-page-for-binary detect-new-ip6
thcipv6.x86_64: W: no-manual-page-for-binary sendpeesmp6
thcipv6.x86_64: W: no-manual-page-for-binary redir6
thcipv6.x86_64: W: no-manual-page-for-binary parasite6
thcipv6.x86_64: W: no-manual-page-for-binary implementation6
thcipv6.x86_64: W: no-manual-page-for-binary address6
thcipv6.x86_64: W: no-manual-page-for-binary flood_mld6
thcipv6.x86_64: W: no-manual-page-for-binary alive6
thcipv6.x86_64: W: no-manual-page-for-binary exploit6
thcipv6.x86_64: W: no-manual-page-for-binary 6to4test.sh
thcipv6.x86_64: W: no-manual-page-for-binary extract_networks6.sh
thcipv6.x86_64: W: no-manual-page-for-binary detect_sniffer6
thcipv6.x86_64: W: no-manual-page-for-binary flood_solicitate6
thcipv6.x86_64: W: no-manual-page-for-binary dnsdict6
thcipv6.x86_64: W: no-manual-page-for-binary ndpexhaust26
thcipv6.x86_64: W: no-manual-page-for-binary fake_mipv6
thcipv6.x86_64: W: no-manual-page-for-binary inject_alive6
thcipv6.x86_64: W: no-manual-page-for-binary node_query6
thcipv6.x86_64: W: no-manual-page-for-binary flood_router6
thcipv6.x86_64: W: no-manual-page-for-binary kill_router6
thcipv6.x86_64: W: no-manual-page-for-binary flood_rs6
thcipv6.x86_64: W: no-manual-page-for-binary firewall6
thcipv6.x86_64: W: no-manual-page-for-binary fragmentation6
thcipv6.x86_64: W: no-manual-page-for-binary sendpees6
1 packages and 0 specfiles checked; 1 errors, 67 warnings.
# echo 'rpmlint-done:'



Requires
--------
thcipv6 (rpmlib, GLIBC filtered):
    /bin/bash
    libc.so.6()(64bit)
    libcrypto.so.10()(64bit)
    libpcap.so.1()(64bit)
    libpthread.so.0()(64bit)
    libresolv.so.2()(64bit)
    librt.so.1()(64bit)
    libssl.so.10()(64bit)
    rtld(GNU_HASH)



Provides
--------
thcipv6:
    thcipv6
    thcipv6(x86-64)



Source checksums
----------------
http://www.thc.org/releases/thc-ipv6-2.5.tar.gz :
  CHECKSUM(SHA256) this package     : 52120bee2da3d25820f021b5c4d6fc79e220e685e2a505b74b48046b608cba8c
  CHECKSUM(SHA256) upstream package : 52120bee2da3d25820f021b5c4d6fc79e220e685e2a505b74b48046b608cba8c


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1088645
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 4 Athmane Madjoudj 2014-07-09 16:39:44 EDT
Thanks Florian for taking this review.

To summarize, Is the package OK except for the name (ie: add the removed dash '-') and license ?
Comment 5 Florian "der-flo" Lehner 2014-07-10 04:00:41 EDT
The licenses are a must. Everything else is ok.
Comment 6 Athmane Madjoudj 2014-07-25 13:27:00 EDT
URLs for updated SRPM and SPEC.


Spec URL: https://athmane.fedorapeople.org/pkgs/thc-ipv6.spec

SRPM URL: https://athmane.fedorapeople.org/pkgs/thc-ipv6-2.5-2.fc20.src.rpm


For license, the code does not have license header so it falls back to AGPLv3 since it's written from scratch.

The only exceptions are:

dnsrevenum6.c: * The AGPL v3 license applies to this code.
dnssecwalk.c: * The AGPL v3 license applies to this code.
thc-ipv6-lib.c: * The AGPL v3 license applies to this code, see the LICENSE file

Which is OK since thc-ipv6 is AGPLv3


Could you please elaborate on license issue, perhaps I didn't understand it correctly.


Thanks.
Comment 7 Christopher Meng 2014-07-25 19:53:19 EDT
Who is the assignee?
Comment 8 Athmane Madjoudj 2014-07-25 20:05:43 EDT
(In reply to Christopher Meng from comment #7)
> Who is the assignee?

Currently nobody, I guess Florian did not set 'Assigned To' field (assuming he was doing a formal review).
Comment 9 Florian "der-flo" Lehner 2014-07-26 11:36:52 EDT
General
=======
[ ] There are a lot of warning during compilation. Please try to fix
    this in further versions
[ ] Whats about DEADJOE in the Makefile?
[ ] Sorry for not setting the Assigned-To at the beginning

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 92160 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=7199229
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: thc-ipv6-2.5-2.fc22.x86_64.rpm
          thc-ipv6-2.5-2.fc22.src.rpm
thc-ipv6.x86_64: E: incorrect-fsf-address /usr/share/doc/thc-ipv6/LICENSE.OPENSSL
thc-ipv6.x86_64: W: no-manual-page-for-binary dump_dhcp6
thc-ipv6.x86_64: W: no-manual-page-for-binary dnssecwalk
thc-ipv6.x86_64: W: no-manual-page-for-binary rsmurf6
thc-ipv6.x86_64: W: no-manual-page-for-binary trace6
thc-ipv6.x86_64: W: no-manual-page-for-binary inverse_lookup6
thc-ipv6.x86_64: W: no-manual-page-for-binary smurf6
thc-ipv6.x86_64: W: no-manual-page-for-binary flood_redir6
thc-ipv6.x86_64: W: no-manual-page-for-binary fake_dns6d
thc-ipv6.x86_64: W: no-manual-page-for-binary dump_router6
thc-ipv6.x86_64: W: no-manual-page-for-binary fake_mldrouter6
thc-ipv6.x86_64: W: no-manual-page-for-binary fuzz_ip6
thc-ipv6.x86_64: W: no-manual-page-for-binary fuzz_dhcps6
thc-ipv6.x86_64: W: no-manual-page-for-binary flood_advertise6
thc-ipv6.x86_64: W: no-manual-page-for-binary four2six
thc-ipv6.x86_64: W: no-manual-page-for-binary covert_send6d
thc-ipv6.x86_64: W: no-manual-page-for-binary fake_router6
thc-ipv6.x86_64: W: no-manual-page-for-binary fake_mld6
thc-ipv6.x86_64: W: no-manual-page-for-binary extract_hosts6.sh
thc-ipv6.x86_64: W: no-manual-page-for-binary flood_dhcpc6
thc-ipv6.x86_64: W: no-manual-page-for-binary denial6
thc-ipv6.x86_64: W: no-manual-page-for-binary fake_pim6
thc-ipv6.x86_64: W: no-manual-page-for-binary dos-new-ip6
thc-ipv6.x86_64: W: no-manual-page-for-binary toobig6
thc-ipv6.x86_64: W: no-manual-page-for-binary covert_send6
thc-ipv6.x86_64: W: no-manual-page-for-binary flood_mld26
thc-ipv6.x86_64: W: no-manual-page-for-binary fake_solicitate6
thc-ipv6.x86_64: W: no-manual-page-for-binary passive_discovery6
thc-ipv6.x86_64: W: no-manual-page-for-binary fake_dnsupdate6
thc-ipv6.x86_64: W: no-manual-page-for-binary ndpexhaust6
thc-ipv6.x86_64: W: no-manual-page-for-binary flood_mldrouter6
thc-ipv6.x86_64: W: no-manual-page-for-binary fake_router26
thc-ipv6.x86_64: W: no-manual-page-for-binary thcsyn6
thc-ipv6.x86_64: W: no-manual-page-for-binary redirsniff6
thc-ipv6.x86_64: W: no-manual-page-for-binary flood_router26
thc-ipv6.x86_64: W: no-manual-page-for-binary implementation6d
thc-ipv6.x86_64: W: no-manual-page-for-binary fake_mld26
thc-ipv6.x86_64: W: no-manual-page-for-binary fake_advertise6
thc-ipv6.x86_64: W: no-manual-page-for-binary thc-ipv6-setup.sh
thc-ipv6.x86_64: W: no-manual-page-for-binary dos_mld.sh
thc-ipv6.x86_64: W: no-manual-page-for-binary thcping6
thc-ipv6.x86_64: W: no-manual-page-for-binary dnsrevenum6
thc-ipv6.x86_64: W: no-manual-page-for-binary randicmp6
thc-ipv6.x86_64: W: no-manual-page-for-binary fake_dhcps6
thc-ipv6.x86_64: W: no-manual-page-for-binary detect-new-ip6
thc-ipv6.x86_64: W: no-manual-page-for-binary sendpeesmp6
thc-ipv6.x86_64: W: no-manual-page-for-binary redir6
thc-ipv6.x86_64: W: no-manual-page-for-binary parasite6
thc-ipv6.x86_64: W: no-manual-page-for-binary implementation6
thc-ipv6.x86_64: W: no-manual-page-for-binary address6
thc-ipv6.x86_64: W: no-manual-page-for-binary flood_mld6
thc-ipv6.x86_64: W: no-manual-page-for-binary alive6
thc-ipv6.x86_64: W: no-manual-page-for-binary exploit6
thc-ipv6.x86_64: W: no-manual-page-for-binary 6to4test.sh
thc-ipv6.x86_64: W: no-manual-page-for-binary extract_networks6.sh
thc-ipv6.x86_64: W: no-manual-page-for-binary detect_sniffer6
thc-ipv6.x86_64: W: no-manual-page-for-binary flood_solicitate6
thc-ipv6.x86_64: W: no-manual-page-for-binary dnsdict6
thc-ipv6.x86_64: W: no-manual-page-for-binary ndpexhaust26
thc-ipv6.x86_64: W: no-manual-page-for-binary fake_mipv6
thc-ipv6.x86_64: W: no-manual-page-for-binary inject_alive6
thc-ipv6.x86_64: W: no-manual-page-for-binary node_query6
thc-ipv6.x86_64: W: no-manual-page-for-binary flood_router6
thc-ipv6.x86_64: W: no-manual-page-for-binary kill_router6
thc-ipv6.x86_64: W: no-manual-page-for-binary flood_rs6
thc-ipv6.x86_64: W: no-manual-page-for-binary firewall6
thc-ipv6.x86_64: W: no-manual-page-for-binary fragmentation6
thc-ipv6.x86_64: W: no-manual-page-for-binary sendpees6
2 packages and 0 specfiles checked; 1 errors, 67 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint thc-ipv6
thc-ipv6.x86_64: E: incorrect-fsf-address /usr/share/doc/thc-ipv6/LICENSE.OPENSSL
thc-ipv6.x86_64: W: no-manual-page-for-binary dump_dhcp6
thc-ipv6.x86_64: W: no-manual-page-for-binary dnssecwalk
thc-ipv6.x86_64: W: no-manual-page-for-binary rsmurf6
thc-ipv6.x86_64: W: no-manual-page-for-binary trace6
thc-ipv6.x86_64: W: no-manual-page-for-binary inverse_lookup6
thc-ipv6.x86_64: W: no-manual-page-for-binary smurf6
thc-ipv6.x86_64: W: no-manual-page-for-binary flood_redir6
thc-ipv6.x86_64: W: no-manual-page-for-binary fake_dns6d
thc-ipv6.x86_64: W: no-manual-page-for-binary dump_router6
thc-ipv6.x86_64: W: no-manual-page-for-binary fake_mldrouter6
thc-ipv6.x86_64: W: no-manual-page-for-binary fuzz_ip6
thc-ipv6.x86_64: W: no-manual-page-for-binary fuzz_dhcps6
thc-ipv6.x86_64: W: no-manual-page-for-binary flood_advertise6
thc-ipv6.x86_64: W: no-manual-page-for-binary four2six
thc-ipv6.x86_64: W: no-manual-page-for-binary covert_send6d
thc-ipv6.x86_64: W: no-manual-page-for-binary fake_router6
thc-ipv6.x86_64: W: no-manual-page-for-binary fake_mld6
thc-ipv6.x86_64: W: no-manual-page-for-binary extract_hosts6.sh
thc-ipv6.x86_64: W: no-manual-page-for-binary flood_dhcpc6
thc-ipv6.x86_64: W: no-manual-page-for-binary denial6
thc-ipv6.x86_64: W: no-manual-page-for-binary fake_pim6
thc-ipv6.x86_64: W: no-manual-page-for-binary dos-new-ip6
thc-ipv6.x86_64: W: no-manual-page-for-binary toobig6
thc-ipv6.x86_64: W: no-manual-page-for-binary covert_send6
thc-ipv6.x86_64: W: no-manual-page-for-binary flood_mld26
thc-ipv6.x86_64: W: no-manual-page-for-binary fake_solicitate6
thc-ipv6.x86_64: W: no-manual-page-for-binary passive_discovery6
thc-ipv6.x86_64: W: no-manual-page-for-binary fake_dnsupdate6
thc-ipv6.x86_64: W: no-manual-page-for-binary ndpexhaust6
thc-ipv6.x86_64: W: no-manual-page-for-binary flood_mldrouter6
thc-ipv6.x86_64: W: no-manual-page-for-binary fake_router26
thc-ipv6.x86_64: W: no-manual-page-for-binary thcsyn6
thc-ipv6.x86_64: W: no-manual-page-for-binary redirsniff6
thc-ipv6.x86_64: W: no-manual-page-for-binary flood_router26
thc-ipv6.x86_64: W: no-manual-page-for-binary implementation6d
thc-ipv6.x86_64: W: no-manual-page-for-binary fake_mld26
thc-ipv6.x86_64: W: no-manual-page-for-binary fake_advertise6
thc-ipv6.x86_64: W: no-manual-page-for-binary thc-ipv6-setup.sh
thc-ipv6.x86_64: W: no-manual-page-for-binary dos_mld.sh
thc-ipv6.x86_64: W: no-manual-page-for-binary thcping6
thc-ipv6.x86_64: W: no-manual-page-for-binary dnsrevenum6
thc-ipv6.x86_64: W: no-manual-page-for-binary randicmp6
thc-ipv6.x86_64: W: no-manual-page-for-binary fake_dhcps6
thc-ipv6.x86_64: W: no-manual-page-for-binary detect-new-ip6
thc-ipv6.x86_64: W: no-manual-page-for-binary sendpeesmp6
thc-ipv6.x86_64: W: no-manual-page-for-binary redir6
thc-ipv6.x86_64: W: no-manual-page-for-binary parasite6
thc-ipv6.x86_64: W: no-manual-page-for-binary implementation6
thc-ipv6.x86_64: W: no-manual-page-for-binary address6
thc-ipv6.x86_64: W: no-manual-page-for-binary flood_mld6
thc-ipv6.x86_64: W: no-manual-page-for-binary alive6
thc-ipv6.x86_64: W: no-manual-page-for-binary exploit6
thc-ipv6.x86_64: W: no-manual-page-for-binary 6to4test.sh
thc-ipv6.x86_64: W: no-manual-page-for-binary extract_networks6.sh
thc-ipv6.x86_64: W: no-manual-page-for-binary detect_sniffer6
thc-ipv6.x86_64: W: no-manual-page-for-binary flood_solicitate6
thc-ipv6.x86_64: W: no-manual-page-for-binary dnsdict6
thc-ipv6.x86_64: W: no-manual-page-for-binary ndpexhaust26
thc-ipv6.x86_64: W: no-manual-page-for-binary fake_mipv6
thc-ipv6.x86_64: W: no-manual-page-for-binary inject_alive6
thc-ipv6.x86_64: W: no-manual-page-for-binary node_query6
thc-ipv6.x86_64: W: no-manual-page-for-binary flood_router6
thc-ipv6.x86_64: W: no-manual-page-for-binary kill_router6
thc-ipv6.x86_64: W: no-manual-page-for-binary flood_rs6
thc-ipv6.x86_64: W: no-manual-page-for-binary firewall6
thc-ipv6.x86_64: W: no-manual-page-for-binary fragmentation6
thc-ipv6.x86_64: W: no-manual-page-for-binary sendpees6
1 packages and 0 specfiles checked; 1 errors, 67 warnings.
# echo 'rpmlint-done:'



Requires
--------
thc-ipv6 (rpmlib, GLIBC filtered):
    /bin/bash
    libc.so.6()(64bit)
    libcrypto.so.10()(64bit)
    libpcap.so.1()(64bit)
    libpthread.so.0()(64bit)
    libresolv.so.2()(64bit)
    librt.so.1()(64bit)
    libssl.so.10()(64bit)
    rtld(GNU_HASH)



Provides
--------
thc-ipv6:
    thc-ipv6
    thc-ipv6(x86-64)



Source checksums
----------------
http://www.thc.org/releases/thc-ipv6-2.5.tar.gz :
  CHECKSUM(SHA256) this package     : 52120bee2da3d25820f021b5c4d6fc79e220e685e2a505b74b48046b608cba8c
  CHECKSUM(SHA256) upstream package : 52120bee2da3d25820f021b5c4d6fc79e220e685e2a505b74b48046b608cba8c


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1088645
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

===== Solution =====
APPROVED
Comment 10 Athmane Madjoudj 2014-07-27 12:12:29 EDT
New Package SCM Request
=======================
Package Name: thc-ipv6
Short Description:  An toolkit for attacking the IPv6 protocol suite
Upstream URL: https://www.thc.org/thc-ipv6/
Owners: athmane
Branches: f20 f21 el6 epel7
InitialCC:
Comment 11 Gwyn Ciesla 2014-07-28 08:13:21 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2014-07-28 09:14:34 EDT
thc-ipv6-2.5-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/thc-ipv6-2.5-2.fc20
Comment 13 Fedora Update System 2014-07-28 10:12:00 EDT
thc-ipv6-2.5-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/thc-ipv6-2.5-2.el6
Comment 14 Fedora Update System 2014-07-28 13:00:52 EDT
thc-ipv6-2.5-2.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 15 Fedora Update System 2014-08-07 11:31:41 EDT
thc-ipv6-2.5-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 16 Fedora Update System 2014-08-12 20:37:55 EDT
thc-ipv6-2.5-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.